Get user preferences
Retrieve the authenticated user's preferences, including their default model and agent.
Base URL
GET
Retrieve the authenticated user's preferences, including their default model and agent.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
User preferences
application/json- response
data*Wire fields are camelCase.
curl -X GET 'https://your-org.inspect.com/api/public/v1/user/preferences'Example Response
{ "data": { "defaultModel": "claude-opus-4-6", "defaultModelVariant": null, "defaultAgent": "general" }}